<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	version="2.3">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

&lt;!DOCTYPE html&gt;
<html lang="ja">
<head>
	<title>Sing in</title>
</head>

<body>
	<jsp:scriptlet>
		// ｺﾝﾃｷｽﾄﾊﾟｽは/+ｺﾝﾃｷｽﾄ名
		final String cxPath = request.getContextPath();
		request.setAttribute("sysJSP",cxPath + "/jsp");
	</jsp:scriptlet>

	<form method="GET" action="${sysJSP}/j_security_check" >
		<table>
			<tbody>
				<tr>
					<td>名前</td>
					<td><input name="j_username" style="width:100px; ime-mode:inactive" /></td>
				</tr>
				<tr>
					<td>パスワード</td>
					<td><input type="password" name="j_password" style="width:100px;" /></td>
				</tr>
			</tbody>
		</table>
		<input type="submit" value="login" name="j_security_check" /><br />

		<!-- j_username パラメータがあるという事は、2回目のアクセス -->
		<jsp:scriptlet>
			final String paramName = request.getParameter("j_username") ;
			if( paramName != null ) {
				out.println( "&lt;div style='color: #ff0000;font-weight: bold;' id='errmsg' &gt;Sing in に失敗しました。&lt;/div&gt;" );
			}
		</jsp:scriptlet>
	</form>

	<script>
		var userAgent = window.navigator.userAgent.toLowerCase();
	//	document.write(userAgent);

		if(userAgent.indexOf('msie') != -1 ) {
		    document.write('Internet Explorer は廃止予定です');
		} else if(userAgent.indexOf('trident') != -1 ) {
		    document.write('Internet Explorer は廃止予定です');
		} else if(userAgent.indexOf('edg') != -1) {
		    document.write('ブラウザはEdgeです');
		} else if(userAgent.indexOf('edge') != -1) {
		    document.write('ブラウザは旧Edgeです');
		} else if(userAgent.indexOf('opr') != -1) {
		    document.write('ブラウザはOperaです');
		} else if(userAgent.indexOf('chrome') != -1) {
		    document.write('ブラウザはChromeです');
		} else if(userAgent.indexOf('safari') != -1) {
		    document.write('Safari はサポートしていません');
		} else if(userAgent.indexOf('firefox') != -1) {
		    document.write('ブラウザはFireFoxです');
		} else {
			document.write('ブラウザが不明です');
		}
	</script>
</body>

</html>

</jsp:root>
